package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Requirement;
import com.lightinit.hsdataplatform.entity.RequirementData;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.DataRequirementAddModel;
import com.lightinit.hsdataplatform.model.admin.DataSupplyListModel;
import com.lightinit.hsdataplatform.model.admin.DataSupplySearchModel;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2018/5/25 0025.
 */
public interface IDataSupplyService {
    List<DataSupplyListModel> queryList(DataSupplySearchModel inputModel, BaseExample.Page pager) throws IOException;

    long queryCount(DataSupplySearchModel inputModel)throws IOException;

    ResultState<Long> SetAuditOpinion(Requirement inputModel);

    ResultState<Long> SetFeedbackDesc(RequirementData inputModel);

    ResultState addDataRequirement(DataRequirementAddModel dataRequirementAddModel);

    List<Map<Long,String>> getSectorParentNames();
}
